Subject: bug#17208: closed (Re: bug#17208: undoing a --roll-back)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 15 Oct 2014 17:12:02 +0000

Your bug report

#17208: undoing a --roll-back

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
17208: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17208
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#17208: undoing a --roll-back
From: [email-masked] (Ludovic Courtès)
To: Eric Bavier <[email-masked]>
Cc: [email-masked]
Date: Wed, 15 Oct 2014 19:11:23 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Eric Bavier <[email-masked]> skribis:

> Note that commit b3bb82f1 adds the '--switch-generation' option to
> 'guix package'.

Indeed, I think it answers the original request.
So I’m happily closing the bug.  :-)

Ludo’.

Subject: Re: undoing a --roll-back
From: [email-masked] (Ludovic Courtès)
To: Yagnesh Raghava Yakkala <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 06 Apr 2014 21:33:40 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

(Adding bug-guix so we keep track of it.)

Yagnesh Raghava Yakkala <[email-masked]> skribis:

> I am trying to understand rollback feature. I have five generations in the
> package history. As I operated roll-back command, my "current" generation sets
> to 3 from 4 (shell log pasted below). Now how can I return to 4. More general, can I
> go to a desired generation by giving number?  say "guix package --goto-generation #"

Good question.  We can’t do that at the moment, but it would be simple
to add.

In the meantime you can do it by hand by changing the target of the
/var/guix/profiles/per-user/$USER/guix-profile symlink (or similar.)

Thanks,
Ludo’.